summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2009-08-15 15:11:17 +0000
committerFabian Groffen <grobian@gentoo.org>2009-08-15 15:11:17 +0000
commita4ecbe0143b77cea9f1ec99d4e620e0e142458fe (patch)
treeb40777826c72dead86ff9a188a70de4fa1695907 /eclass/toolchain-funcs.eclass
parentbuilt_with_use (diff)
downloadgentoo-2-a4ecbe0143b77cea9f1ec99d4e620e0e142458fe.tar.gz
gentoo-2-a4ecbe0143b77cea9f1ec99d4e620e0e142458fe.tar.bz2
gentoo-2-a4ecbe0143b77cea9f1ec99d4e620e0e142458fe.zip
on Darwin we suffer from "funky sonames" as well (like ELF)
Diffstat (limited to 'eclass/toolchain-funcs.eclass')
-rw-r--r--eclass/toolchain-funcs.eclass6
1 files changed, 5 insertions, 1 deletions
diff --git a/eclass/toolchain-funcs.eclass b/eclass/toolchain-funcs.eclass
index 23444e824850..f62dc99305be 100644
--- a/eclass/toolchain-funcs.eclass
+++ b/eclass/toolchain-funcs.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-funcs.eclass,v 1.91 2009/05/24 07:25:48 grobian Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-funcs.eclass,v 1.92 2009/08/15 15:11:17 grobian Exp $
# @ECLASS: toolchain-funcs.eclass
# @MAINTAINER:
@@ -457,6 +457,10 @@ gen_usr_ldscript() {
if ${auto} ; then
mv "${ED}"/usr/${libdir}/${lib%${suffix}}.*${suffix#.} "${ED}"/${libdir}/ || die
+ # some install_names are funky: they encode a version
+ if [[ ${tlib} != ${lib%${suffix}}.*${suffix#.} ]] ; then
+ mv "${ED}"/usr/${libdir}/${tlib%${suffix}}.*${suffix#.} "${ED}"/${libdir}/ || die
+ fi
rm -f "${ED}"/${libdir}/${lib}
fi